Take a snapshot
curl --request POST \
--url https://api.cloud.onidel.com/vm/{vm_id}/snapshot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "vm-snapshot-name",
"team_id": "96616865-475e-4191-aba5-f89f0a4b71fe",
"desc": "snapshot @ 20/09/2025"
}
'import requests
url = "https://api.cloud.onidel.com/vm/{vm_id}/snapshot"
payload = {
"name": "vm-snapshot-name",
"team_id": "96616865-475e-4191-aba5-f89f0a4b71fe",
"desc": "snapshot @ 20/09/2025"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'vm-snapshot-name',
team_id: '96616865-475e-4191-aba5-f89f0a4b71fe',
desc: 'snapshot @ 20/09/2025'
})
};
fetch('https://api.cloud.onidel.com/vm/{vm_id}/snapshot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"snapshot_id": "c1d45377-b2a9-4407-ab8d-6909c34dfaac"
}Virtual Machines
Take a snapshot
Take a snapshot of the VM.
POST
/
vm
/
{vm_id}
/
snapshot
Take a snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
VM UUID
Body
application/json
Response
Snapshot started
Example:
"c1d45377-b2a9-4407-ab8d-6909c34dfaac"
⌘I